#pragma once
#include "Mod.h"

class CheatDetector : public Mod {
public:
	int alerttype;
	CheatDetector() : Mod(Datas::Language::get().module.other.cheatdetector.name, Datas::Language::get().module.other.cheatdetector.description, Category::OTHER) {
		settings.push_back(new Setting{ _("Alert Type"), &alerttype, new int(0), new int(0), 1, {
			_("Client Side")
			}, true });
		enabled = false;
	}

private:
	struct DetectData {
		enum DetectType {
			NONE,
			VelocityCancel,
			Speed,
			Fly
		};
		enum DetectLevel {
			A,
			B,
			C,
			D
		};

		DetectType type;
		DetectLevel level;
		std::string name;

		bool alerted;
	};
	std::vector<DetectData> detectdatas;
	virtual auto onWorldTick(Player* _this) -> void override;
};
